%define mozver %(rpm -q --queryformat %%{VERSION} mozilla-firefox)

Name:		miro
Version:	1.0
Release:	%mkrel 1
Summary:	Miro Player

Group:		Video
License:	GPLv2+
URL:		http://www.getmiro.com/
Source0:	ftp://ftp.osuosl.org/pub/pculture.org/miro/src/Miro-%version.tar.gz
# gw from Debian: don't check for software updates
Patch1:		Miro-0.9.9.9-no-autoupdate.patch
# gw os.getlogin() fails in the build system
Patch4: Miro-0.9.9.9-work-around-python-problem.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	pygtk2.0-devel
BuildRequires:	libxine-devel 
BuildRequires:	python-pyrex
#BuildRequires:	libfame 
BuildRequires:	boost-devel
BuildRequires:	libxcb-devel libpthread-stubs
BuildRequires:	gtk2-devel
BuildRequires:	mozilla-firefox-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libxv-devel
Requires:	pygtk2.0-libglade
Requires:	gnome-python-gtkmozembed gnome-python-gconf dbus-python
Requires:	python-pyrex
#Requires:	libfame 
Requires:	libmozilla-firefox = %mozver

Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils

Provides:	democracy
Obsoletes:	democracy

%description
Internet TV player with integrated RSS and BitTorrent functionality.

%prep
%setup -q -n Miro-%version
%patch1 -p1 -b .no-autoupdate
%patch4 -p1
#gw fix wrong libexec dir
perl -pi -e "s^libexec^%_lib^" ./platform/gtk-x11/frontend_implementation/xinerenderer.py platform/gtk-x11/setup.py



%build
cd platform/gtk-x11 && CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
cd platform/gtk-x11 && %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
cd ../..
%find_lang miro

perl -pi -e 's,miro-72x72.png,%{name},g' $RPM_BUILD_ROOT%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --remove-key="Encoding" \
  --remove-category="Application" \
  --add-category="Video" \
  --add-category="TV" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{24x24,72x72,128x128}/apps
cp -f %{buildroot}%{_datadir}/pixmaps/%{name}-24x24.png %{buildroot}%{_iconsdir}/hicolor/24x24/apps/%{name}.png
cp -f %{buildroot}%{_datadir}/pixmaps/%{name}-72x72.png %{buildroot}%{_iconsdir}/hicolor/72x72/apps/%{name}.png
cp -f %{buildroot}%{_datadir}/pixmaps/%{name}-128x128.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

gunzip %buildroot%{_mandir}/man1/*.gz

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_mime_database
%update_icon_cache hicolor

%postun
%clean_desktop_database
%clean_mime_database
%clean_icon_cache hicolor

%files -f miro.lang
%defattr(-,root,root,-)
%doc README CREDITS
%attr(755,root,root) %_bindir/*
%{_datadir}/miro
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/*.png
%_libexecdir/xine_extractor
%{_mandir}/man1/*
%{_datadir}/mime/packages/*.xml
%{py_platsitedir}/miro*



%changelog
* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2008.1
+ Revision: 108820
- new version

* Mon Nov 05 2007 Götz Waschk <waschk@mandriva.org> 0.9.9.9-3mdv2008.1
+ Revision: 106070
- rebuild for new firefox

* Fri Nov 02 2007 Götz Waschk <waschk@mandriva.org> 0.9.9.9-2mdv2008.1
+ Revision: 105177
- drop patch 0 and build with new boost

* Thu Nov 01 2007 Götz Waschk <waschk@mandriva.org> 0.9.9.9-1mdv2008.1
+ Revision: 104454
- new version
- rediff patches 1,4
- drop patch 2
- fix installation of xine_extractor
- update file list

* Sun Oct 21 2007 Götz Waschk <waschk@mandriva.org> 0.9.9.1-3mdv2008.1
+ Revision: 100867
- build against boost_python-gcc42

* Fri Oct 19 2007 Götz Waschk <waschk@mandriva.org> 0.9.9.1-2mdv2008.1
+ Revision: 100434
- rebuild for new firefox

* Fri Sep 07 2007 Götz Waschk <waschk@mandriva.org> 0.9.9.1-1mdv2008.1
+ Revision: 81464
- update patch 2

* Fri Sep 07 2007 Götz Waschk <waschk@mandriva.org> 0.9.9.1-1mdv2008.0
+ Revision: 81452
- new version

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 0.9.9-2mdv2008.0
+ Revision: 80323
- drop patch 3, fixes bug #33185

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 0.9.9-1mdv2008.0
+ Revision: 79986
- reenable patch 3
- patch to fix build system problem with python

  + Funda Wang <fundawang@mandriva.org>
    - BR libxv
    - Rediff dbus patch
    - rediff no autoupdate patch
    - New version 0.9.9

* Wed Sep 05 2007 Adam Williamson <awilliamson@mandriva.com> 0.9.8.1-2mdv2008.0
+ Revision: 79656
- have to keep the icons in /usr/share/pixmaps as the app uses them directly
- fix double quote mark
- fd.o icons
- drop creation of miro.real as this seems to be done upstream now, so duplicating it was preventing the app from running (see http://forum.mandriva.com/viewtopic.php?p=365287)
- fix menu entry issues: categories, deprecated key, icon name
- use Fedora license policy
- spec clean

  + Götz Waschk <waschk@mandriva.org>
    - remove mdk-folders patch

* Thu Aug 02 2007 Götz Waschk <waschk@mandriva.org> 0.9.8.1-1mdv2008.0
+ Revision: 58199
- new version

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-5mdv2008.0
+ Revision: 57234
- rebuild

* Thu Jul 19 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-4mdv2008.0
+ Revision: 53539
- add missing deps
- readd wrapper, it ist still needed

* Thu Jul 19 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-3mdv2008.0
+ Revision: 53509
- fix dbus exception on startup

* Thu Jul 19 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-2mdv2008.0
+ Revision: 53446
- fix mime package
- remove wrapper script

* Wed Jul 18 2007 Götz Waschk <waschk@mandriva.org> 0.9.8-1mdv2008.0
+ Revision: 53269
- new version
- rediff patch 0
- import democracy as miro

* Fri Jun 15 2007 Götz Waschk <waschk@mandriva.org> 0.9.6-3mdv2008.0
+ Revision: 39941
- rebuild for new ff

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags

  + Frederic Crozat <fcrozat@mandriva.com>
    - Release 0.9.6
    - Remove patches 2, 3, 4 (merged upstream)

* Wed Apr 25 2007 Götz Waschk <waschk@mandriva.org> 0.9.5.3-1mdv2008.0
+ Revision: 18190
- Import democracy

